Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.imagemap
Interface ToolTipTagFragmentGenerator

All Known Implementing Classes:
  DynamicDriveToolTipTagFragmentGenerator, OverLIBToolTipTagFragmentGenerator, StandardToolTipTagFragmentGenerator

public interface ToolTipTagFragmentGenerator

Interface for generating the tooltip fragment of an HTML image map area tag.

Author:
  Richard Atkinson

Method Summary
`java.lang.String` | `generateToolTipFragment(java.lang.String toolTipText)` Generates a tooltip string to go in an HTML image map.

Method Detail

### generateToolTipFragment

    public java.lang.String generateToolTipFragment(java.lang.String toolTipText)

  Generates a tooltip string to go in an HTML image map.

  Parameters:
    `toolTipText` - the tooltip.
  Returns:
    the formatted HTML area tag attribute(s).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD